import { type CreateTicketInput, type CreateTicketResponse, type UpdateTicketInput } from './types';
export declare class ZendeskAPIClient {
    private readonly client;
    constructor(subdomain: string, userEmail: string, apiToken: string);
    createTicket(data: CreateTicketInput): Promise<CreateTicketResponse>;
    deleteTicket(ticketId: string): Promise<void>;
    updateTicket(ticketId: string, data: UpdateTicketInput): Promise<void>;
}
export declare const makeAPIClient: (payloadSettings: Record<string, string | undefined>) => ZendeskAPIClient;
